Content API

Items, prices, modifiers, and 86 status.

Updated May 18, 2026·4 min read

Create an item

Shell
curl -X POST https://api.menupi.com/v1/content/items \
  -H "Authorization: Bearer mpi_live_••••••" \
  -d '{
    "name": "Cappuccino",
    "category": "drinks",
    "price": 4.5,
    "modifiers": [{ "name": "Oat milk", "priceDelta": 0.75 }]
  }'

Update price

Shell
curl -X PATCH https://api.menupi.com/v1/content/items/itm_4HG8... \
  -H "Authorization: Bearer mpi_live_••••••" \
  -d '{ "price": 4.75 }'

Mark as 86'd

Players hide the item from menu widgets within ~60 seconds.

Shell
curl -X PATCH https://api.menupi.com/v1/content/items/itm_4HG8... \
  -d '{ "eightySixed": true }'

Bulk update

Use `/bulk` to update up to 1000 items in one call. Idempotency-Key strongly recommended.

Shell
curl -X POST https://api.menupi.com/v1/content/items/bulk \
  -H "Authorization: Bearer mpi_live_••••••" \
  -H "Idempotency-Key: rollout-2026-05-18" \
  -d '[
    { "id": "itm_4HG8...", "price": 4.75 },
    { "id": "itm_K3VR...", "price": 5.25 }
  ]'

Endpoint summary

MethodPathSummary
GET/content/itemsList items.
POST/content/itemsCreate one item.
PATCH/content/items/{id}Update one item.
POST/content/items/bulkBulk update up to 1000 items per call.
DELETE/content/items/{id}Remove an item.